/*  gmysql -- a graphical frontend to MySQL databases
    Copyright (C) 1998, 1999 Stephen R. Dodd <steved@loth.demon.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of version 2 of the GNU General Public License as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __MSGBOX_H__
#define __MSGBOX_H__

#include <gtk/gtk.h>

#define MSG_BOX(p) ((MsgBox *)p);

typedef struct _MsgBox MsgBox;

struct _MsgBox {
	GtkWidget *dialog;
};

MsgBox	*msg_box_new( gchar *message );
void	msg_box_show( MsgBox *msg_box );

#endif /* __MSGBOX_H__ */
