/*  gmysql -- a graphical frontend to MySQL databases
    Copyright (C) 1998, 1999 Stephen R. Dodd <steved@loth.demon.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of version 2 of the GNU General Public License as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __SETDLG_H__
#define __SETDLG_H__

#include <gtk/gtk.h>
#include "fielddlg.h"

#define SET_DLG(p) ((SetDlg *)p);

typedef struct _SetDlg SetDlg;

struct _SetDlg {
	GtkWidget *dialog;

	GtkWidget *member;

	FieldDlg *owner;
};

SetDlg	*set_dlg_new( FieldDlg *owner );
void		set_dlg_show( SetDlg *set_dlg );

#endif /* __SETDLG_H__ */
